Comments

WorkDrive allows users to give feedback and exchange ideas on shared documents in real-time. Comments can be made independently or created as replies to other comments.

Download Comments OpenAPI Document
Download






Get Comment Info

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API fetches all available details of the comment. When a new comment is added to a file, it will create a comment_id for that comment.

Endpoints

OAuth Scope

WorkDrive.comments.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url https://www.zohoapis.com/workdrive/api/v1/comments/{comment_id} \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Path Parameters

comment_idstring(Required)

The unique ID of the comment

Response Example

U010

R008

R008

R958

C003

R901

R901

R902

R017

R017

F7003

F000

200
200
400
401
404
417
500
Copied!
  {
    "data": [
      {
        "id": "ly9zm850678101cec4b0698777ab4534a3002-2774428000000002064",
        "type": "comments",
        "attributes": {
          "commented_by": "Zylker Creation",
          "created_time": "Apr 13, 1:24 PM",
          "capabilities": {
            "can_delete_comment": true,
            "can_edit_comment": true,
            "can_replyto_comment": true,
            "can_resolve_comment": true
          },
          "commented_email_id": "zylker@zylker.com",
          "modified_email_id": "zylker@zylker.com",
          "comment_html": "Fine",
          "version": "1.0",
          "modified_time": "Apr 13, 1:24 PM",
          "children": [
            {
              "data": {
                "id": "ly9zm850678101cec4b0698777ab4534a3002-2774428000000002064",
                "type": "comments",
                "attributes": {
                  "commented_by": "Zylker Creation",
                  "created_time": "Apr 13, 1:24 PM",
                  "capabilities": {
                    "can_delete_comment": true,
                    "can_edit_comment": true,
                    "can_replyto_comment": true,
                    "can_resolve_comment": true
                  },
                  "commented_email_id": "zylker@zylker.com",
                  "modified_email_id": "zylker@zylker.com",
                  "comment_html": "Fine",
                  "version": "1.0",
                  "modified_time": "Apr 13, 1:24 PM",
                  "commented_by_zuid": 747938014,
                  "modified_by_zuid": 747938014,
                  "modified_by": "Zylker Creation",
                  "contacts_url": "https://contacts.zoho.com/file?t=user&ID=747938014&fs=thumb",
                  "resource_id": "ly9zm850678101cec4b0698777ab4534a3002",
                  "created_time_in_millis": 1618300488998,
                  "modified_time_in_millis": 1618300488998,
                  "parent_comment_id": "ly9zm850678101cec4b0698777ab4534a3002-2774428000000002063",
                  "top_version": true,
                  "resolved": false
                },
                "links": {
                  "self": "https://www.zohoapis.com/workdrive/comments/ly9zm850678101cec4b0698777ab4534a3002-2774428000000002064"
                }
              }
            }
          ],
          "commented_by_zuid": 747938014,
          "modified_by_zuid": 747938014,
          "modified_by": "Zylker Creation",
          "contacts_url": "https://contacts.zoho.com/file?t=user&ID=747938014&fs=thumb",
          "resource_id": "ly9zm850678101cec4b0698777ab4534a3002",
          "created_time_in_millis": 1618300488998,
          "modified_time_in_millis": 1618300488998,
          "top_version": true,
          "resolved": false
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/comments/ly9zm850678101cec4b0698777ab4534a3002-2774428000000002064"
        }
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "U010",
        "title": "User not a part of this zsoid"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Unauthorized access"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R958",
        "title": "OTP is required for this request"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "C003",
        "title": "Given comment id is invalid or doesn't exist"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R901",
        "title": "Password protect document requires password"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R902",
        "title": "Link requires user to submit data"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "R017",
        "title": "Current plan does not support to perform this API"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F7003",
        "title": "Invalid OAuth token"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "General exception"
      }
    ]
  }
                
Show full